﻿$.Controller('BaseController',
	{
		init: function() {
			//l(this.fullName + ' static init');
		},
		defaults: {
			itemLoopTemplate: 'js/app/views/itemloop.ejs'
		}
	},
	{
		init: function() {
			//l(this.constructor.fullName + ' instance init')
		},
		'[data-maf-link] tap': function(el) {
			// overal links met data-maf-link="..." naar opgegeven pagina laten gaan
			Navigation.gotoPage(el.data('mafLink'));
			return false;
		},
		'[data-maf-faq] tap': function(el) {
			// overal links met data-maf-faq="..." naar opgegeven FAQ categorie laten gaan
			Navigation.gotoPage('faqQuestions', { category: el.data('mafFaq') });
			return false;
		},
		'[data-maf-search] tap': function(el) {
			// overal links met data-maf-search="..." naar opgegeven search type laten gaan
			Navigation.gotoPage('search', { type: el.data('mafSearch') });
			return false;
		},
		'[data-maf-rel] tap': function(el) {
			// overal links met data-maf-rel naar andere pagina in geschiedenis laten gaan
			var rel = el.data('mafRel');
			var delta = rel === 'back' ? -1 : parseInt(rel);	// "back" ondersteunen voor backwards compatibility
			Navigation.gotoPageInHistory(delta);
			return false;
		},
		'a[rel="external"] tap': function(el) {
			// overal externe links openen in childbrowser
			window.open(el.attr('href'), '_blank', 'location=yes');
			return false;
		},
		showError: function(errorMessage){
			Navigation.gotoPage('fout', { message: errorMessage });
		}
	}
);