﻿BasePageController('LoginController',
	{
		listensTo: ['pageinit']
	},
	{
		pageinit: function() {
			this.element.find('#loginUsername,#loginPassword').watermark();
		},
		'#loginForm submit': function() {
			var username = this.element.find('#loginUsername').valueNotDefault();
			var password = this.element.find('#loginPassword').valueNotDefault();
			if (username && password){
				var self = this;
				User.login(username, password, function() {
					// ingelogd: naar home
					Navigation.gotoPage('home');
				}, function(message) {
                    var messageText = 'Inloggen is niet gelukt, controleer uw gegevens en probeer het opnieuw.';
                    if (message && message.length > 0) {
                       messageText = message;
                    }
					self.showError(messageText);
				});
			} else {
				this.showError('Naam en/of wachtwoord ontbreken.');
			}
			
			// Prevent default
			return false;
		}
	}
);