﻿BasePageController('SplashController',
	{
		deviceReady: false,
		init: function() {
			$(document).bind('deviceready', function() {
				SplashController.deviceReady = true;
				
				var loginData = window.localStorage.getItem('loginData');
				if (loginData){
					loginData = JSON.parse(loginData);
					User.login(loginData.username, loginData.password, function() {
						// ingelogd: naar home
						Navigation.gotoPage('home');
					}, function() {
						// automatisch inloggen niet gelukt: naar inlogpagina
						Navigation.gotoPage('login');
					});
				} else {
					// geen logindata aanwezig: naar loginpagina
					Navigation.gotoPage('login');
				}
			});
		}
	},
	{
		pageshow: function() {
			this._super();
			if (SplashController.deviceReady) {
				if (User.isLoggedIn) {
					Navigation.gotoPageOrFollowing('home');
				} else {
					Navigation.gotoPageOrFollowing('login');
				}
			}
		}
	}
);