﻿BasePageController('ContractKeuzeController',
	{
		defaults: {
			contractTemplate: 'js/app/views/contract.ejs'
		}
	},
	{
		pagebeforeshow: function() {
			var autos = Contract.getContracts();
			this.element.find(':maf(contracten)').html(this.options.itemLoopTemplate, { template: this.options.contractTemplate, items: autos });
			this.element.find('input:name(contractnummer)[value="' + Contract.getActiveContractnummer() + '"]').prop('checked', true).closest('label').addClass('active');
            this.element.find(':maf(contracten)').trigger('refresh');

		},
		':name(contractnummer) change': function(el) {
			Contract.setActiveContractnummer(el.val());
			el.closest('fieldset').children('label').removeClass('active');
			el.closest('label').addClass('active');
			if (this.pageData.continueTo) {
				Navigation.gotoPage(this.pageData.continueTo, this.pageData.continueToData);
			}
		}
	}
);