﻿BasePageController('DashboardController',
	{
	},
	{
		pagebeforeshow: function() {
			var carData = Contract.getActiveContract();
			if (carData == null) carData = {};
            // Laatste update wordt niet getoond, want de feed retourneert de verkeerde datum
			//this.element.find(':maf(lastupdate)').text(carData.datumltstkmstand);
			this.showUsage('verbruiktovsoort', carData);
			this.showUsage('verbruiktovfabr', carData);
			this.showUsage('afwprijsliter', carData);
			this.showUsage('foutekmstand', carData);
			this.showUsage('schades', carData);
			this.showUsage('bekeuringen', carData);
			this.showUsage('co2werkelijk', carData);
		},
		showUsage: function(category, carData) {
			var article = this.element.find('article#dash_' + category + '');
			if (!article) return;
			var myValue = carData[category] || 0;
			var companyValue = carData[category + 'holding'] || 0;

			var scaleMax = parseFloat(article.data('barscale'));

            if (Math.abs(myValue) > scaleMax) {
                if (myValue < 0) {
                    myValue = -1 * scaleMax;
                } else {
                    myValue = scaleMax;
                }
            }

            if (Math.abs(companyValue) > scaleMax) {
                if (companyValue < 0) {
                    companyValue = -1 * scaleMax;
                } else {
                    companyValue = scaleMax;
                }
            }

			var myPerc = (Math.round((Math.abs(myValue) / scaleMax) * 100)) + '%'
			var companyPerc = (Math.round((Math.abs(companyValue) / scaleMax) * 100)) + '%';


			if (myValue < 0) {
				article.find('li.tl span').css('width', myPerc);
			} else {
				article.find('li.tr span').css('width', myPerc);
			}
			if (companyValue < 0) {
				article.find('li.bl span').css('width', companyPerc);
			} else {
				article.find('li.br span').css('width', companyPerc);
			}
		}
	}
);