﻿BasePageController('DenkMeeController',
	{
		listensTo: ['pageinit']
	},
	{
		pageinit: function() {
			this.element.find('.mailSuggest').attr('href', 'mailto:' + Settings.denkMeeSuggestieMailto);
		},
		pagebeforeshow: function() {
			var denkMeeKeuzes = window.localStorage.getItem('denkMeeKeuzes');
			denkMeeKeuzes = denkMeeKeuzes ? JSON.parse(denkMeeKeuzes) : {};
			this.element.find('input[type="radio"]').attr('checked', false).parents('label').removeClass('active').addClass('deactive'); 
			this.element.find('div[data-denkmeecode]').each(function() {
				var code = $(this).data('denkmeecode');
				var keuze = denkMeeKeuzes[code];
				if (keuze) {
					$(this).find('input[type="radio"][value="' + keuze + '"]').attr('checked', true).parents('label').removeClass('deactive').addClass('active'); 
				}
			});
		},
		'input[type="radio"] change': function(el) {
			var parent = el.closest('div[data-denkmeecode]');
			var code = parent.data('denkmeecode');
			var title = parent.find('h1').text();
			parent.find('type[name="radio"]').parents('label').removeClass('active').addClass('deactive');
			el.parents('label').eq(0).addClass('active').removeClass('deactive');
			var value = el.val();
			// keuze vastleggen in window.localStorage
			var denkMeeKeuzes = window.localStorage.getItem('denkMeeKeuzes');
			denkMeeKeuzes = denkMeeKeuzes ? JSON.parse(denkMeeKeuzes) : {};
			denkMeeKeuzes[code] = value;
			l(denkMeeKeuzes);
			window.localStorage.setItem('denkMeeKeuzes', JSON.stringify(denkMeeKeuzes));
			// keuze loggen met google analytics
			var action = code + '_' + value;
			var label = title + ' - ' + value;
			l('_trackEvent: ' + action);
			TrackingController.trackEvent('Denk mee', action, label);
		}
	}
);