﻿BasePageController('FaqAnswerController',
	{
	},
	{
		pagebeforeshow: function() {
			var question = this.pageData.question;
			this.element.find('h1').text(question.title);
			this.element.find('#question').text(question.text);
			var answer;
			var carData = Contract.getActiveContract();
			if (carData && carData.merk && question.answerOverrides && carData.merk in question.answerOverrides) {
				answer = question.answerOverrides[carData.merk];
			} else {
				answer = question.defaultAnswer;
			}
			var answerHtml = $('<div/>').text(answer.text).html().replace(/\n/g, '<br/>');
			this.element.find('#answer').html(answerHtml);
			var actionsDiv = this.element.find('div.actions').empty();

            if (answer.actions) $.each(answer.actions, function(i, a) {
                if (a.type == 'search') {
                    $('<a data-role="button" class="btnSearchMap" data-icon="driversearch" data-maf-search="' + a.value + '"/>').text('Zoek op kaart').button().appendTo(actionsDiv);
                } else if (a.type == 'tel') {
                    $('<a data-role="button" class="btnCallNow" data-icon="driverphone" href="tel:'+ a.value  +'" />').text('Nu bellen').button().appendTo(actionsDiv);
                } else if (a.type == 'mail') {
                    $('<a data-role="button" class="btnMailNow" data-icon="drivermail" href="mailto:'+ a.value +'"/>').text('Nu mailen').button().appendTo(actionsDiv);
                } else if (a.type == 'external') {
                    $('<a data-role="button" class="btnOpenWebsite" data-icon="driverlink" href="'+ a.value +'" rel="external"/>').text('Open website').button().appendTo(actionsDiv);
                }
            });



            /*
			if (answer.actions) $.each(answer.actions, function(i, a) {
				if (a.type == 'search') {
					$('<a data-maf-search="' + a.value + '"/>').text(a.text).appendTo(actionsDiv);
				} else if (a.type == 'tel') {
					$('<a/>', { href: 'tel:' + a.value }).text(a.text).appendTo(actionsDiv);
				} else if (a.type == 'mail') {
					$('<a/>', { href: 'mailto:' + a.value }).text(a.text).appendTo(actionsDiv);
				} else if (a.type == 'external') {
					$('<a/>', { href: a.value, rel: 'external' }).text(a.text).appendTo(actionsDiv);
				}
			});
			*/
		},
		getPageviewPath: function() {
			return '/faq/' + this.pageData.categoryTitle + '/' + this.pageData.question.title;
		}
	}
);