﻿BasePageController('FaqController',
	{
	},
	{
		faqCategoryName: null,
		faqCategoryInfo: null,
		loadData: function(doneCallback) {
			var categoryName = this.pageData.category;
			if (categoryName == this.faqCategoryName && this.faqCategoryInfo) {
				doneCallback();
			} else {
				var self = this;
				$.get(Settings.faqUrl, function(data) {
					if (categoryName in data) {
						self.faqCategoryName = categoryName;
						self.faqCategoryInfo = data[categoryName];
						doneCallback();
					} else {
						self.faqCategoryName = null;
						self.faqCategoryInfo = null;
						doneCallback();
					}
				}, 'json').fail(function() {
					self.faqCategoryName = null;
					self.faqCategoryInfo = null;
					doneCallback();
				});
			}
		},
		pagebeforeshow: function() {
			this.element.find('h1').text(this.faqCategoryInfo ? this.faqCategoryInfo.title : this.pageData.category);
			var ul = this.element.find(':maf(faqList)');
			ul.empty();
			if (this.faqCategoryInfo && this.faqCategoryInfo.questions) $.each(this.faqCategoryInfo.questions, function (i, q) {
				var a = $('<a data-maf="question"/>').text(q.text).data({ question: q });
				ul.append($('<li/>').append(a));
			});
			//ul.listview('refresh');
		},
		getPageviewPath: function() {
			return '/faq/' + (this.faqCategoryInfo ? this.faqCategoryInfo.title : this.pageData.category);
		},
		':maf(question) tap': function(el) {
			Navigation.gotoPage('faqAnswer', { categoryTitle: this.faqCategoryInfo.title, question: el.data('question') });
			return false;
		}
	}
);