﻿BasePageController('MyLeaseController',
	{
	},
	{
		pagebeforeshow: function() {
			var carData = Contract.getActiveContract();
			if (carData != null) {
				this.element.find(':maf(merk)').text(carData.merk);
				this.element.find(':maf(type)').text(carData.type);
				this.element.find(':maf(kenteken)').text(formatKenteken(carData.kenteken));
				this.element.find(':maf(verweinddatum)').text(carData.verweinddatum);
				this.element.find(':maf(winterbanden)').text(carData.winterbanden == 'J' ? 'Ja' : 'Nee');
				this.element.find(':maf(brandstof)').text(carData.brandstof);
				this.element.find(':maf(percbijtelling)').text(carData.percbijtelling);
				this.element.find(':maf(co2fabriek)').text(carData.co2fabriek);
				this.element.find(':maf(datumapk)').text(carData.datumapk);
				this.element.find(':maf(datumltstkmstand)').text(carData.datumltstkmstand);
				this.element.find(':maf(ltstkmstand)').text(carData.ltstkmstand);
				this.element.find(':maf(dealer)').text(carData.dealer);
				this.element.find(':maf(verweinddatum)').text(carData.verweinddatum);
				this.element.find(':maf(verwrestlooptijd)').text(carData.verwrestlooptijd);
			}
			this.element.find('a[data-maf="contractkeuze"]').toggle(Contract.getContractCount() > 1);
		},
        'a[data-maf="contractkeuze"] tap': function(el) {
            Navigation.gotoPage('contractkeuze', { continueTo: "home", continueToData: null });
            return false;
        }
	}
);