﻿BaseController('TrackingController',
	{
        init: function() {
            /*
             window._gaq = window._gaq || [];
             window._gaq.push(['_setAccount', Settings.googleAnalyticsAccount]);
             window._gaq.push(['_setDomainName', 'none']);
             window._gaq.push(['_setAllowLinker',true]);
             */
            ga_storage._setAccount(Settings.googleAnalyticsAccount); //Replace with your own
            ga_storage._setDomain('none');
        },
        trackPageview: function(pageUrl) {
            if (!Settings.googleAnalyticsTracking) return;
            try {
                //window._gaq.push(['_trackPageview', pageUrl]);
                ga_storage._trackPageview(pageUrl);
            } catch (error) {
                l('error tracking pageview');
                l(error);
            }
        },
        trackEvent: function(category, action, opt_label, opt_value, opt_noninteraction) {
            if (!Settings.googleAnalyticsTracking) return;
            try {
                //window._gaq.push(['_trackEvent', category, action, opt_label, opt_value, opt_noninteraction]);
                ga_storage._trackEvent(category, action, opt_label, opt_value);
            } catch (error) {
                l('error tracking event');
                l(error);
            }
        }
	},
	{
	}
);